"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactIntl = require("react-intl");
var _osteoInventoryInput = _interopRequireDefault(require("../components/osteoInventoryInput"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const messages = (0, _reactIntl.defineMessages)({
  affirmComplete: {
    "id": "form.osteology.default.affirmComplete",
    "defaultMessage": "By checking this box, I am affirming that the inventory of this individual is complete and that any and all unfilled boxes on this form indicate confirmation that those elements (or portions thereof, or features) are not present for this individual."
  }
});
const template = configContext => {
  const {
    FormattedMessage,
    React
  } = configContext.lib;
  const OsteoInventoryInput = (0, _osteoInventoryInput.default)(configContext);
  const {
    Col,
    Panel,
    Row
  } = configContext.layoutComponents;
  const {
    Field,
    InputTable
  } = configContext.recordComponents;
  return /*#__PURE__*/React.createElement(Field, {
    name: "document"
  }, /*#__PURE__*/React.createElement(Panel, {
    name: "info",
    collapsible: true
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "InventoryID"
  }), /*#__PURE__*/React.createElement(Col, null)), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateVerbatim"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateLower"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateUpper"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateDateGroup"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateAnalyst"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "osteoAgeEstimateNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "sexDetermination"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationDateGroup"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationAnalyst"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "sexDeterminationNote"
  }))), /*#__PURE__*/React.createElement(InputTable, {
    name: "completeness"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "completeness"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "completenessNote"
  })), /*#__PURE__*/React.createElement(InputTable, {
    name: "dentition"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "molarsPresent"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "dentitionScore"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "dentitionNote"
  })), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(InputTable, {
    name: "mortuaryTreatment"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "mortuaryTreatment"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "mortuaryTreatmentNote"
  })), /*#__PURE__*/React.createElement(InputTable, {
    name: "behrensmeyer"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "behrensmeyerSingleLower"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "behrensmeyerUpper"
  }))), /*#__PURE__*/React.createElement(Panel, {
    name: "inventory",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(OsteoInventoryInput, null)), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "NotesOnElementInventory"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "pathologyNote"
  })), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "InventoryIsComplete"
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      marginBottom: '8px'
    }
  }, /*#__PURE__*/React.createElement(FormattedMessage, messages.affirmComplete)), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "inventoryAnalyst"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "inventoryDate"
  }))))));
};
var _default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.osteology.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(configContext)
});
exports.default = _default;